
QGIS Application - Bug report #2382

3-band rasters not displaying

2010-01-21 04:07 PM - John Tull

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12442

Description

Three-band rasters are no longer displaying/rendering. This appears to be from a recent code change. Other raster formats seem

unaffected from limited testing.

History

#1 - 2010-01-21 07:42 PM - John Tull

It appears that the changes made in rev 12809 or subsequent changes related to  a compilation bug fix are the likely culprits. Revision 12808 displays

3-band rasters correctly.

#2 - 2010-01-22 12:19 AM - Marco Hugentobler

I guess this is because of my changes for large format printing.

Could you attach such a raster file (or send it to me privately)?

Thanks,

Marco

#3 - 2010-01-22 09:03 AM - John Tull

- Resolution set to fixed

- Status changed from Open to Closed

Your code changes today have fixed the problem. Cheers.
https://trac.osgeo.org/qgis/changeset/12809
https://trac.osgeo.org/qgis/changeset/12812
https://trac.osgeo.org/qgis/changeset/12808

